gtksourceview.SourceMarker
Prev | The GtkSourceView Class Reference | Next

## gtksourceview.SourceMarker

gtksourceview.SourceMarker — Marker object for gtksourceview.SourceView

## Synopsis

    class gtksourceview.SourceMarker(gtk.TextMark):
        gtksourceview.SourceMarker()
        def set_marker_type(type)
        def get_marker_type()
        def get_line()
        def get_name()
        def get_buffer()
        def next()
        def prev()

## Ancestry

    +-- gobject.GObject
      +-- gtksourceview.SourceMarker

## Description

## Constructor

        gtksourceview.SourceMarker()

Returns : | a new `gtksourceview.SourceMarker`.

Creates a new `gtksourceview.SourceMarker` object.

## Methods

### gtksourceview.SourceMarker.set_marker_type

        def set_marker_type(type)

`type` : | the type of marker.

The `set_marker_type`() method sets the type of marker to the value of `type`.

### gtksourceview.SourceMarker.get_marker_type

        def get_marker_type()

Returns : | the marker type.

The `get_marker_type`() method gets the marker type of this `marker`.

### gtksourceview.SourceMarker.get_line

        def get_line()

Returns : | the line number.

The `get_line`() method gets the line number of this `marker`.

### gtksourceview.SourceMarker.get_name

        def get_name()

Returns : | the name.

The `get_name`() method gets the name of this `marker`.

### gtksourceview.SourceMarker.get_buffer

        def get_buffer()

Returns : | the `gtksourceview.SourceBuffer`.

The `get_buffer`() method gets the buffer associated with this `marker`.

### gtksourceview.SourceMarker.next

        def next()

Returns : | a `gtksourceview.SourceMarker`.

The `next`() method gets the next marker after `marker`.

### gtksourceview.SourceMarker.prev

        def prev()

Returns : | a `gtksourceview.SourceMarker`.

The `prev`() method gets the previous marker before `marker`.

Prev | Up | Next
gtksourceview.SourceLanguagesManager | Home | gtksourceview.SourceStyleScheme